﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using exMath.Common;
using System.Drawing;

namespace exMath.Calculus
{
    public class ParametricEquation
    {
        public MathFunction f { get; protected set;  }
        public MathFunction g { get; protected set; }

        public ParametricEquation(MathFunction f, MathFunction g)
        {
            this.f = f;
            this.g = g;
        }

        public Point2D Execute(double t)
        {
            Point2D p = new Point2D();

            p.X = f(t);
            p.Y = g(t);

            return p;
        }
    }
}
