﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace exMath.Sequences
{
    public class LineairSequence : INumberSequence
    {
        private double _current;

        public double Current
        {
            get
            {
                return _current;
            }
        }

        public LineairSequence()
        {
            _current = 0.0;
        }

        public void Next()
        {
            _current += 1.0;
        }

        public void Reset()
        {
            _current = 0.0;
        }

        public double CalculateItemN(double n)
        {
            return n;
        }
    }
}
